Subject: HELP!!!
From: "Mike" <[email-masked]>
To: <[email-masked]>
Date: Tue, 20 Feb 2007 16:31:00 -0500

To: Management or Supervision team,
I have been trying to get through to speak with someone since yesterday.  Each time I have called in I was either stuck in an endless cycle of voicemail prompts that got me nowhere or my call was disconnected.  When I did get through, I was either transferred to another dept. or given another number to call.  One of the numbers I was given, was the wrong company and that person actually had already been getting numerous calls to this wrong number.  She actually gave me a number which was one digit off and I got through to a prompt that said they were unable to take my call at that time but if we could leave a message someone would get back to me.  Unfortunately, that message just looped and did not even give you the option to leave a message.  So after almost 2 hours on the phone yesterday trying to find anyone who could help, I gave up.  I am not sure what number I called, but I did leave a message on that voicemail that said they would call us back within 30 minutes...I never got a call back.  We were without credit card processing from about 9:15 am until almost 2:00 pm.  The system finally came up around  pm or 2:15 pm but soon went back down not allowing us to have any approvals.  My understanding is that the fraud filter server was down and was rejecting most of the attempted transactions.  I understand that yesterday was an observed holiday for some businesses.  Ours does not and needed to be able to run transactions.  At the very least we should be able to (more easily) call in to get assistance.  I have never in my life been more poorly handled when needing customer service then I was yesterday.  Today the transactions seem to have been going through fine.  However, when calling in earlier today, I was again forwarded to the wrong dept. who also were unable to assist me with Payflow products.  I believe that there needs to be a better way to service your customers without running them through the "gauntlet" of phone prompts that get them to places where they can not be serviced.  I also think there is a need for some standardization that can help direct your reps who are directing your customers.  The following are a list of all the numbers I have been given over the phone from the different times I called in:  888-655-4636, 888-847-2744 (wrong company #), 888-847-2747, 650-426-3400, 650-426-5115, 650-426-5310, 402-935-2050, then finally 888-883-9770.  
As you can see, there might be a need to get everyone on the same page.  Feel free to contact me with any questions you may have in reference to what I have written and sent you.  

Sincerely,
Michael Bishop
General Operations Manager
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]